>From 05a68c13d9bd226d7c3fae0168b7f5f80e5d0116 Mon Sep 17 00:00:00 2001
From: erwan10 <erwan10@videolan.org>
Date: Mon, 15 Jun 2009 11:47:27 +0200
Subject: [PATCH] skins2(Window) : correct crash at termination (module_unneed was never called)

---
 src/interface/interface.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

diff --git a/src/interface/interface.c b/src/interface/interface.c
index c48986a..d62759d 100644
--- a/src/interface/interface.c
+++ b/src/interface/interface.c
@@ -147,6 +147,8 @@ int intf_RunThread( intf_thread_t *p_intf )
         vlc_thread_join( p_intf );
 
         vlc_object_detach( p_intf );
+        if( p_intf->p_module  )
+            module_unneed( p_intf, p_intf->p_module );
         vlc_object_release( p_intf );
         return VLC_SUCCESS;
     }
-- 
1.5.6.5

